Subject: [ef]grep usage -> POSIXLY_CORRECT?

From: Karl Berry <[email-masked]>
Date: Mon, 5 Sep 2022 16:07:35 -0600

It is painful to see the unconditional complaint (grep 3.8) about
[ef]grep usage when those programs have been present since the beginning
of Unix. I have hundreds of scripts that use [ef]grep since for many
years they were either the only, or then later the most portable, way to
get the behavior.

So, I suggest giving that warning only if POSIXLY_CORRECT is set.  Seems to
me this is a case for which that is intended. -k